SiPagoDocs
Docs para IA

Conciliación

Detalle de venta por número de referencia

El reference_number se obtiene cuando un QR se paga, desde cualquiera de estas fuentes:

GET https://api.prd.geopagos.io/api/v4/payments/authorizations/{reference_number}

Response — 200 OK (resumen de campos relevantes)

{
  "reference_number": "2147792a-a875-4651-bd01-223f803243f8",
  "type": "SALE",
  "status": "APPROVED",
  "amount": 111.00,
  "date_time": "2026-06-16T15:08:09Z",
  "currency": "032",
  "entry_mode": {
    "source": "QR",
    "qr": { "content": "0002010102...", "id": "561f4def-3874-4e67-8ab3-ac2ea65996fc" }
  },
  "payment_method": { "type": "TRANSFER" },
  "merchant": {
    "identification": { "type": "CUIT", "number": "20338975938" },
    "legal_name": "federico kucher",
    "trade_name": "federico kucher"
  },
  "processor_result": {
    "date": "2026-06-16T15:08:09Z",
    "authorization_code": "86VRPQ2GMLY40QKG2GLY0M",
    "processor_reference_number": "2147792a-a875-4651-bd01-223f803243f8"
  },
  "payment_plan": { "installment_quantity": 1 },
  "payment_intent": {
    "uuid": "561f4def-3874-4e67-8ab3-ac2ea65996fc",
    "state": "SALE_CONFIRMED",
    "point_of_sale_id": "6fda9b64-d317-4723-9480-cda88579c987"
  }
}

Campos clave para conciliar:

CampoDescripción
reference_numberIdentificador único de la autorización
statusEstado de la operación (APPROVED)
entry_mode.qr.id / payment_intent.uuidqr_id del QR que originó el pago (vínculo con la venta local)
processor_result.authorization_codeCódigo de autorización del procesador
payment_method.typeMedio de pago usado (ej.: TRANSFER)
payment_intent.point_of_sale_idPoint of sale (vendedor) asociado

Lista de movimientos

Permite la conciliación batch de todas las operaciones del comercio. La respuesta está paginada.

GET https://api.prd.geopagos.io/api/v4/payments/authorizations

Filtrado por point of sale (por ejemplo, para conciliar por vendedor):

GET https://api.prd.geopagos.io/api/v4/payments/authorizations?point_of_sale={point_of_sale_uuid}

Response — 200 OK (resumen)

{
  "data": [
    {
      "date_time": "2026-06-16T15:08:09Z",
      "type": "SALE",
      "status": "APPROVED",
      "origin": "mpos_app",
      "amount": 111.0,
      "payment_method": { "type": "TRANSFER" },
      "payment_plan": { "installment_quantity": 1, "financial_rate": 0.0 },
      "tracking": {
        "authorization_code": "86VRPQ2GMLY40QKG2GLY0M",
        "reference_number": "2147792a-a875-4651-bd01-223f803243f8",
        "payment_intent_uuid": "561f4def-3874-4e67-8ab3-ac2ea65996fc"
      },
      "entry_mode": { "source": "QR" },
      "billing": { "currency": "032" },
      "point_of_sale": "6fda9b64-d317-4723-9480-cda88579c987"
    }
  ],
  "pagination": {
    "items_per_page": 10,
    "current_page": 1,
    "pages": 2
  }
}
Consejo: Clave de conciliación

El campo tracking.payment_intent_uuid de cada movimiento es el qr_id del QR generado. Así podés vincular cada pago recibido con la venta registrada en tu sistema.